## TrackerCrawler TrackerCrawler |

## Functions

TrackerCrawler * | tracker_crawler_new ()
gboolean | tracker_crawler_start ()
void | tracker_crawler_stop ()
void | tracker_crawler_pause ()
void | tracker_crawler_resume ()
void | tracker_crawler_set_throttle ()
void | tracker_crawler_set_file_attributes ()
const gchar * | tracker_crawler_get_file_attributes ()
GFileInfo * | tracker_crawler_get_file_info ()

## Types and Values

#define | TRACKER_CRAWLER_MAX_TIMEOUT_INTERVAL

## Description

## Functions

### tracker_crawler_new ()

    TrackerCrawler *
    tracker_crawler_new (TrackerDataProvider *data_provider);

### tracker_crawler_start ()

    gboolean
    tracker_crawler_start (TrackerCrawler *crawler,
                           GFile *file,
                           TrackerDirectoryFlags flags);

### tracker_crawler_stop ()

    void
    tracker_crawler_stop (TrackerCrawler *crawler);

### tracker_crawler_pause ()

    void
    tracker_crawler_pause (TrackerCrawler *crawler);

### tracker_crawler_resume ()

    void
    tracker_crawler_resume (TrackerCrawler *crawler);

### tracker_crawler_set_throttle ()

    void
    tracker_crawler_set_throttle (TrackerCrawler *crawler,
                                  gdouble throttle);

### tracker_crawler_set_file_attributes ()

    void
    tracker_crawler_set_file_attributes (TrackerCrawler *crawler,
                                         const gchar *file_attributes);

Sets the file attributes that `crawler` will fetch for every file it gets, this info may be requested through `tracker_crawler_get_file_info()` in any TrackerCrawler callback

#### Parameters

crawler | a TrackerCrawler |
file_attributes | file attributes to extract |

### tracker_crawler_get_file_attributes ()

    const gchar *
    tracker_crawler_get_file_attributes (TrackerCrawler *crawler);

Returns the file attributes that `crawler` will fetch

#### Parameters

crawler | a TrackerCrawler |

#### Returns

the file attributes as a string.

### tracker_crawler_get_file_info ()

    GFileInfo *
    tracker_crawler_get_file_info (TrackerCrawler *crawler,
                                   GFile *file);

Returns a GFileInfo with the file attributes requested through `tracker_crawler_set_file_attributes()`.

#### Parameters

crawler | a TrackerCrawler |
file | a GFile returned by `crawler` |

#### Returns

a GFileInfo with the file information.

[transfer none]

## Types and Values

### TRACKER_CRAWLER_MAX_TIMEOUT_INTERVAL

    #define TRACKER_CRAWLER_MAX_TIMEOUT_INTERVAL 1000